{% extends "base-volunteer-details.html" %}
{% load i18n seawatch_registration_tags tz %}
{% block profile-content %}
  <h1>Comments</h1>
  <section class="planner--card">
    <form method="post" name="add_comment">
      {% csrf_token %}
      <textarea name="comment" required></textarea>
      <small>please only write things about this person that you would say in public</small>
      <input type="submit" class="button button-primary" value="Submit" />
    </form>
  </section>
  <section id="comments">
    {% for comment in comments|dictsortreversed:"date" %}
      <div class="comment-header">
        <p class="author">{{ comment.author }}</p>
        <time datetime="{{ comment.date.isoformat }}">
          {{ comment.date|date:"SHORT_DATETIME_FORMAT" }}
        </time>
      </div>
      <p class="text">{{ comment.text }}</p>
    {% empty %}
      <p id="no-comments-message">No comments yet...</p>
    {% endfor %}
    {% get_current_timezone as TIME_ZONE %}
    <small class="timezone-note">All times are in timezone {{ TIME_ZONE }}</small>
  </section>
{% endblock %}
